summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conrad@kostecki.com>2018-06-23 17:17:10 +0200
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2018-06-24 13:08:42 -0700
commit55b5f1d37f35cd78417eb8e1ce448a4f942fd56d (patch)
tree44826742af54966b0b91e33ff11cbb665f38e393 /app-antivirus
parentdev-python/rax-scheduled-images-python-novaclient-ext: Support python3.6 (diff)
downloadgentoo-55b5f1d37f35cd78417eb8e1ce448a4f942fd56d.tar.gz
gentoo-55b5f1d37f35cd78417eb8e1ce448a4f942fd56d.tar.bz2
gentoo-55b5f1d37f35cd78417eb8e1ce448a4f942fd56d.zip
app-antivirus/clamtk: New package
Closes: https://bugs.gentoo.org/98976 Closes: https://github.com/gentoo/gentoo/pull/7774 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'app-antivirus')
-rw-r--r--app-antivirus/clamtk/Manifest5
-rw-r--r--app-antivirus/clamtk/clamtk-5.25.ebuild170
-rw-r--r--app-antivirus/clamtk/metadata.xml27
3 files changed, 202 insertions, 0 deletions
diff --git a/app-antivirus/clamtk/Manifest b/app-antivirus/clamtk/Manifest
new file mode 100644
index 00000000000..fbcd50425ff
--- /dev/null
+++ b/app-antivirus/clamtk/Manifest
@@ -0,0 +1,5 @@
+DIST clamtk-5.25.tar.xz 243444 BLAKE2B 3d46ba9fba200b432594719c16d9b09637b8990f3ddfa9aa5b1c9193879c2e28d5e52c40525e99630b33138b39cfe5e804ecd9cb1cc85bbf06b0544aba0c877b SHA512 3886e829388ccfcaacec8b1e62be23898851ef68a5b6a1bed01e2eea31a899d0d5ca7727288633ef0612d90ba60330df1d0275c5c92154879a0d8a553180b414
+DIST clamtk-gnome-0.02.tar.xz 14888 BLAKE2B 2137e7bc53f557cdb2f03afe3b6cb3b1185bb12c6b646f2bdb74c69bc3d6b59b23895d36583225f6a536d91237ffd84d307e7b52f16336a88311a60b84b2cbcd SHA512 f4a33d31ecf914f016fd029a7e9b9c903ba39bb139ed21f15786445d2394ace36ff08396baf68130d4bc3081847c34efda31ad3f727b9f5c479da4392750940f
+DIST clamtk-kde-0.18.tar.xz 17732 BLAKE2B ca82934417f2d869fd8c8e36a31ef4a52cf4ee73581c5d1d400c1b28908c5ea2524a8f5d1110b1e949038378613fb4d5607d5123eebe91df695a53d0dd489302 SHA512 145ddd349010e0bb6fe3295e50d6e15a2dd96e604babbd5de4cb49ba75169d2050777cac38e40ac6a64cb89ddf94025d610aca73136c75f81115d0a2d863d24e
+DIST nemo-sendto-clamtk-0.04.tar.xz 4228 BLAKE2B ce656d4f021bc30cd12fb2ee5f98a78c1f1fdb2460ed2cbba0b572408617f91b39b2ca2fe542b9cec7be79b4b9fdfd685f5553e1a671454ca1e6723241dcb805 SHA512 2b5d3abbc4ae5dbc71b1b7bc836df88ad51e6afa00d5e954b5c1355a70c0420b6fef895e1cb5cccb86a662aee2039cef6c01821c1347fa155b5da3529b25562c
+DIST thunar-sendto-clamtk-0.06.tar.xz 4416 BLAKE2B 6b9f8857fead9f175af0a5fd3585790c49865b07016ddbc0dfc21f761ecbac32d97a65731fdca0335fd4852af9efc93c06ecb994f769a5efeade35cb734e9924 SHA512 f3b6f296213ad5974f8134d682cce4e426d9730d1898e8f7ea474e27314ee47957b033bbd7f16196cabf054eccec844c05ff8c8f9a98ad013a7f89b899cee591
diff --git a/app-antivirus/clamtk/clamtk-5.25.ebuild b/app-antivirus/clamtk/clamtk-5.25.ebuild
new file mode 100644
index 00000000000..218c7a95fe0
--- /dev/null
+++ b/app-antivirus/clamtk/clamtk-5.25.ebuild
@@ -0,0 +1,170 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLOCALES="af ar ast az bg bs ca cs da de el_GR en_AU en_CA en_GB eo es eu fi fo fr ga gl he hr hu id it ja km ko lo lt lv mr ms nb nl nl_BE nn pa pl pt pt_BR ro ru si sk sl sr@latin sv ta te th tr ug uk uz zh_CN zh_TW"
+PLOCALE_BACKUP="en_GB"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit desktop l10n perl-functions python-single-r1 xdg-utils
+
+MY_PV_KDE="0.18"
+MY_PV_NAUTILUS="0.02"
+MY_PV_NEMO="0.04"
+MY_PV_THUNAR="0.06"
+
+DESCRIPTION="A graphical front-end for ClamAV"
+HOMEPAGE="https://dave-theunsub.github.io/clamtk/"
+SRC_URI="https://bitbucket.org/davem_/clamtk/downloads/${P}.tar.xz
+ kde? ( https://bitbucket.org/davem_/${PN}-kde/downloads/${PN}-kde-${MY_PV_KDE}.tar.xz )
+ nautilus? ( https://bitbucket.org/davem_/${PN}-gnome/downloads/${PN}-gnome-${MY_PV_NAUTILUS}.tar.xz )
+ nemo? ( https://bitbucket.org/davem_/nemo-sendto-${PN}/downloads/nemo-sendto-${PN}-${MY_PV_NEMO}.tar.xz )
+ thunar? ( https://bitbucket.org/davem_/thunar-sendto-${PN}/downloads/thunar-sendto-${PN}-${MY_PV_THUNAR}.tar.xz )"
+
+LICENSE="|| ( Artistic GPL-1+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="kde nautilus nemo +nls thunar"
+REQUIRED_USE="nautilus? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="app-antivirus/clamav
+ dev-perl/File-chdir
+ dev-perl/Gtk2
+ dev-perl/JSON
+ dev-perl/LWP-Protocol-https
+ dev-perl/LWP-UserAgent-Cached
+ dev-perl/Locale-gettext
+ dev-perl/Text-CSV
+ dev-perl/glib-perl
+ dev-perl/libwww-perl
+ virtual/perl-Digest-MD5
+ virtual/perl-Digest-SHA
+ virtual/perl-Encode
+ virtual/perl-MIME-Base64
+ virtual/perl-Time-Piece
+ nautilus? ( dev-python/nautilus-python[${PYTHON_USEDEP}] )"
+
+DEPEND="nls? ( sys-devel/gettext )"
+
+DOCS=( CHANGES credits.md DISCLAIMER README.md )
+
+pkg_setup() {
+ if use nautilus; then
+ python-single-r1_pkg_setup
+ fi
+}
+
+src_unpack() {
+ default
+
+ unpack "${S}"/clamtk.1.gz
+
+ if use kde; then
+ unpack "${S}"/../clamtk-kde-${MY_PV_KDE}/clamtk-kde.1.gz
+ fi
+
+ if use nautilus; then
+ unpack "${S}"/../clamtk-gnome-${MY_PV_NAUTILUS}/clamtk-gnome.1.gz
+ fi
+
+ if use nemo; then
+ unpack "${S}"/../nemo-sendto-clamtk-${MY_PV_NEMO}/nemo-sendto-clamtk.1.gz
+ fi
+
+ if use thunar; then
+ unpack "${S}"/../thunar-sendto-clamtk-${MY_PV_THUNAR}/thunar-sendto-clamtk.1.gz
+ fi
+}
+
+src_prepare() {
+ remove_locales() {
+ rm "po/${1}.mo" || die
+ }
+
+ if use nls; then
+ l10n_find_plocales_changes 'po' '' '.mo'
+ l10n_for_each_disabled_locale_do remove_locales
+ fi
+
+ default
+}
+
+src_install() {
+ install_locales() {
+ domo "po/${1}.mo" || die
+ }
+
+ dobin clamtk
+
+ perl_set_version
+ insinto "${VENDOR_LIB}"/ClamTk
+ doins lib/*.pm
+
+ if use nls; then
+ l10n_for_each_locale_do install_locales
+ fi
+
+ doicon images/clamtk.png images/clamtk.xpm
+
+ domenu clamtk.desktop
+
+ doman ../clamtk.1
+
+ if use kde; then
+ insinto /usr/share/kservices5/ServiceMenus
+ doins ../clamtk-kde-${MY_PV_KDE}/clamtk-kde.desktop
+
+ doicon ../clamtk-kde-${MY_PV_KDE}/clamtk-kde.png ../clamtk-kde-${MY_PV_KDE}/clamtk-kde.xpm
+
+ doman ../clamtk-kde.1
+
+ docinto dolphin
+ dodoc ../clamtk-kde-${MY_PV_KDE}/CHANGES ../clamtk-kde-${MY_PV_KDE}/README.md
+ fi
+
+ if use nautilus; then
+ insinto /usr/share/nautilus-python/extensions
+ doins ../clamtk-gnome-${MY_PV_NAUTILUS}/clamtk-gnome.py
+
+ doicon ../clamtk-gnome-${MY_PV_NAUTILUS}/images/clamtk-gnome.png
+
+ doman ../clamtk-gnome.1
+
+ docinto nautilus
+ dodoc ../clamtk-gnome-${MY_PV_NAUTILUS}/CHANGES ../clamtk-gnome-${MY_PV_NAUTILUS}/DISCLAIMER ../clamtk-gnome-${MY_PV_NAUTILUS}/README.md
+ fi
+
+ if use nemo; then
+ insinto /usr/share/nemo/actions/
+ doins ../nemo-sendto-clamtk-${MY_PV_NEMO}/nemo-sendto-clamtk.nemo_action
+
+ doman ../nemo-sendto-clamtk.1
+
+ docinto nemo
+ dodoc ../nemo-sendto-clamtk-${MY_PV_NEMO}/CHANGES ../nemo-sendto-clamtk-${MY_PV_NEMO}/DISCLAIMER ../nemo-sendto-clamtk-${MY_PV_NEMO}/README.md
+ fi
+
+ if use thunar; then
+ insinto /usr/share/Thunar/sendto
+ doins ../thunar-sendto-clamtk-${MY_PV_THUNAR}/thunar-sendto-clamtk.desktop
+
+ doman ../thunar-sendto-clamtk.1
+
+ docinto thunar
+ dodoc ../thunar-sendto-clamtk-${MY_PV_THUNAR}/CHANGES ../thunar-sendto-clamtk-${MY_PV_THUNAR}/DISCLAIMER ../thunar-sendto-clamtk-${MY_PV_THUNAR}/README
+ fi
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
diff --git a/app-antivirus/clamtk/metadata.xml b/app-antivirus/clamtk/metadata.xml
new file mode 100644
index 00000000000..62781c1e9bc
--- /dev/null
+++ b/app-antivirus/clamtk/metadata.xml
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>ck+gentoo@bl4ckb0x.de</email>
+ <name>Conrad Kostecki</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <longdescription>
+ ClamTk is a frontend for ClamAV (Clam Antivirus).
+ It is intended to be an easy to use, light-weight,
+ on-demand scanner for Linux systems.
+ </longdescription>
+ <use>
+ <flag name="kde">Install the Dolphin plugin.</flag>
+ <flag name="nautilus">Install the Nautilus plugin.</flag>
+ <flag name="nemo">Install the Nemo plugin.</flag>
+ <flag name="thunar">Install the Thunar plugin.</flag>
+ </use>
+ <upstream>
+ <bugs-to>https://github.com/dave-theunsub/clamtk/issues</bugs-to>
+ <remote-id type="github">dave-theunsub/clamtk</remote-id>
+ </upstream>
+</pkgmetadata>